GStreamer::Index(3)

NAME
GStreamer::Index

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Index

METHODS

  index = GStreamer::Index->new

  integer = $index->new_group

  indexentry or undef = $index->add_association ($id, $flags, $format, $value, ...)

•   $id (integer)

•   $flags (GStreamer::AssocFlags)

•   $format (GStreamer::Format)

•   $value (64 bit integer)

•   ... (list)

  indexentry or undef = $index->add_format ($id, $format)

•   $id (integer)

•   $format (GStreamer::Format)

  indexentry or undef = $index->add_id ($id, $description)

•   $id (integer)

•   $description (string)

  indexentry or undef = $index->add_object ($id, $key, $object)

•   $id (integer)

•   $key (string)

•   $object (scalar)

  indexentry or undef = $index->get_assoc_entry ($id, $method, $flags, $format, $value)

•   $id (integer)

•   $method (GStreamer::IndexLookupMethod)

•   $flags (GStreamer::AssocFlags)

•   $format (GStreamer::Format)

•   $value (64 bit integer)

  indexcertainty = $index->get_certainty

  $index->set_certainty ($certainty)

•   $certainty (GStreamer::IndexCertainty)

  $index->commit ($id)

•   $id (integer)

  $index->set_filter ($func, $data=undef)

•   $func (scalar)

•   $data (scalar)

  integer = $index->get_group

  boolean = $index->set_group ($groupnum)

•   $groupnum (integer)

  $index->set_resolver ($func, $data=undef)

•   $func (scalar)

•   $data (scalar)

  integer = $index->get_writer_id ($writer)

•   $writer (GStreamer::Object)

PROPERTIES

'resolver' (GstIndexResolver : default "path" : readable / writable / private)
    Select a predefined object to string mapper

SIGNALS

entry-added (GStreamer::Index, GStreamer::IndexEntry)

ENUMS AND FLAGS

  flags GStreamer::AssocFlags
•   'none' / 'GST_ASSOCIATION_FLAG_NONE'

•   'key-unit' / 'GST_ASSOCIATION_FLAG_KEY_UNIT'

•   'delta-unit' / 'GST_ASSOCIATION_FLAG_DELTA_UNIT'

•   'last' / 'GST_ASSOCIATION_FLAG_LAST'

  enum GStreamer::Format

•   'undefined' / 'GST_FORMAT_UNDEFINED'

•   'default' / 'GST_FORMAT_DEFAULT'

•   'bytes' / 'GST_FORMAT_BYTES'

•   'time' / 'GST_FORMAT_TIME'

•   'buffers' / 'GST_FORMAT_BUFFERS'

•   'percent' / 'GST_FORMAT_PERCENT'

  enum GStreamer::IndexCertainty

•   'unknown' / 'GST_INDEX_UNKNOWN'

•   'certain' / 'GST_INDEX_CERTAIN'

•   'fuzzy' / 'GST_INDEX_FUZZY'

  enum GStreamer::IndexLookupMethod

•   'exact' / 'GST_INDEX_LOOKUP_EXACT'

•   'before' / 'GST_INDEX_LOOKUP_BEFORE'

•   'after' / 'GST_INDEX_LOOKUP_AFTER'

  enum GstIndexResolver

•   'custom' / 'GST_INDEX_RESOLVER_CUSTOM'

•   'gtype' / 'GST_INDEX_RESOLVER_GTYPE'

•   'path' / 'GST_INDEX_RESOLVER_PATH'

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.